%define major       2
%define libname     %mklibname faad %{major}
%define libname_drm %mklibname faad_drm %{major}
%define develname   %mklibname %{name} -d

%define up_ver 2_10_0

Name:           faad2
Epoch:          1
Version:        2.10.0
Release:        %mkrel 1
Summary:        Freeware Advanced Audio Decoder version 2
License:        GPLv2
Group:          Sound/Utilities
URL:            https://github.com/knik0/faad2
Source0:        https://github.com/knik0/faad2/archive/%{up_ver}/%{name}-%{version}.tar.gz
Patch1:         faad2-2.9.0-fix_undefined_version.patch
BuildRequires:  automake

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

%package -n %{libname}
Summary:        Freeware Advanced Audio Decoder shared library
Group:          System/Libraries

%description -n %{libname}
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the shared library needed by programs linked to
libfaad.

%package -n %{libname_drm}
Summary:        Freeware Advanced Audio Decoder shared library
Group:          System/Libraries

%description -n %{libname_drm}
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the shared library needed by programs linked to
libfaad.

%package -n %{develname}
Summary:        Freeware Advanced Audio Decoder development files
Group:          Development/C++
Requires:       %{libname} = %{epoch}:%{version}
Requires:       %{libname_drm} = %{epoch}:%{version}
Provides:       %{name}-devel  = %{epoch}:%{version}-%{release}
Provides:       lib%{name}-devel  = %{epoch}:%{version}-%{release}
Obsoletes:      %{_lib}faad2-static-devel < 1:2.7-11

%description -n %{develname}
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the C++ headers needed to build programs with
libfaad.

%prep
%setup -q -n %{name}-%{up_ver}
%autopatch -p1

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc README NEWS TODO AUTHORS ChangeLog
%{_bindir}/faad
%{_mandir}/man1/faad.1*

%files -n %{libname}
%{_libdir}/libfaad.so.%{major}{,.*}

%files -n %{libname_drm}
%{_libdir}/libfaad_drm.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libfaad.so
%{_libdir}/libfaad_drm.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*


%changelog
* Wed Oct 21 2020 daviddavid <daviddavid> 1:2.10.0-1.mga8
+ Revision: 1637538
- new version: 2.10.0

* Thu Jun 18 2020 luigiwalser <luigiwalser> 1:2.9.2-1.mga8.tainted
+ Revision: 1596490
- 2.9.2

* Fri Feb 21 2020 umeabot <umeabot> 1:2.9.1-3.mga8.tainted
+ Revision: 1548868
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 daviddavid <daviddavid> 1:2.9.1-2.mga8.tainted
+ Revision: 1481831
- rebuild for arm
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Nov 05 2019 zezinho <zezinho> 1:2.9.1-1.mga8.tainted
+ Revision: 1458172
- new version 2.9.1

* Fri Oct 11 2019 daviddavid <daviddavid> 1:2.9.0-1.mga8.tainted
+ Revision: 1451588
- new version: 2.9.0
- new URL and Source URL

* Tue Jun 11 2019 shlomif <shlomif> 1:2.8.8-4.mga7.tainted
+ Revision: 1399810
- mga#24940 security

* Thu Sep 20 2018 umeabot <umeabot> 1:2.8.8-3.mga7.tainted
+ Revision: 1278215
- Mageia 7 Mass Rebuild

* Sun Sep 09 2018 wally <wally> 1:2.8.8-2.mga7.tainted
+ Revision: 1257941
- rebuild for aarch64

* Sun Apr 22 2018 daviddavid <daviddavid> 1:2.8.8-1.mga7.tainted
+ Revision: 1221017
- new version: 2.8.8
- remove static libraries

* Fri Oct 14 2016 daviddavid <daviddavid> 1:2.7-10.mga6.tainted
+ Revision: 1060745
- rebuild for ARM

* Wed Oct 15 2014 umeabot <umeabot> 1:2.7-9.mga6.tainted
+ Revision: 748250
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.7-8.mga5.tainted
+ Revision: 679077
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 1:2.7-7.mga4.tainted
+ Revision: 548171
- Mageia 4 rebuild

* Fri Jan 11 2013 cjw <cjw> 1:2.7-6.mga3.tainted
+ Revision: 350166
- patch1: fix build with automake 1.13
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 barjac <barjac> 1:2.7-5.mga3.tainted
+ Revision: 324475
- Change group to new policy

* Fri Mar 23 2012 fwang <fwang> 1:2.7-4.mga2.tainted
+ Revision: 225817
- it seems that the needed files are already installed

* Fri Mar 23 2012 fwang <fwang> 1:2.7-3.mga2.tainted
+ Revision: 225813
- force reconf
- specify cflags with env
- drop .la files
- cleanup unused switches
- drop unneeded br

* Tue Apr 19 2011 obgr_seneca <obgr_seneca> 1:2.7-2.mga1
+ Revision: 88284
- imported package faad2


* Mon Mar 28 2011 Oliver Burger <oliver.bgr@googlemail.com> 2.7-2.mga1
- cleaned up spec
- removed plf things
- removed buildroot tag
- set xmms build to false

* Wed Feb 11 2009 Götz Waschk <goetz@zarb.org> 2.7-1plf2009.1
- fix faad man page name
- update file list
- new major
- rediff patch 4
- drop patch 0
- new version

* Sun Sep 28 2008 Götz Waschk <goetz@zarb.org> 2.6.1-2plf2009.0
- add upstream security patch

* Thu Jan 17 2008 Götz Waschk <goetz@zarb.org> 2.6.1-1plf2008.1
- new version

* Thu Oct 11 2007 Götz Waschk <goetz@zarb.org> 2.6-1plf2008.1
- drop some patches
- disable mpeg4ip plugin
- new devel name
- new version

* Thu Oct 26 2006 Götz Waschk <goetz@zarb.org> 1:2.5-3plf2007.1
- readd libmp4ff  and headers

* Tue Oct 24 2006 Anssi Hannula <anssi@zarb.org> 1:2.5-2plf2007.1
- standardize PLF reason
- add mpeg4ip build switch for bootstrapping
- fix buildrequires
- from joeghi:
  o fixed building with mpeg4ip 1.5.0.1 (added Patch5, adapted from PLD's faad2-2.0 and Patch6)
  o added mpeg4ip subpackage

* Sun Aug 13 2006 Götz Waschk <goetz@zarb.org> 1:2.5-1plf2007.0
- fix build
- rediff patch 4
- drop merged patches 2,3
- new version

* Mon Jul 31 2006 Götz Waschk <goetz@zarb.org> 21:.1-0.20050201.4plf2007.0
- remove menu

* Thu Oct  6 2005 Anssi Hannula <anssi@zarb.org> 2.1-0.20050201.3plf
- fix build on x86_64 (patch4)
- add mkrel distsuffix

* Sun Jul 10 2005 Stefan van der Eijk <stefan@eijk.nu> 2.1-0.20050201.2plf
- add gcc4 patch

* Mon May  2 2005 Götz Waschk <goetz@zarb.org> 2.1-0.20050201.1plf
- small build patch
- new snapshot

* Sat Apr 23 2005 Götz Waschk <goetz@zarb.org> 2.1-0.20040915.1plf
- drop mp4v2
- new version

* Sat Feb  5 2005 Götz Waschk <goetz@zarb.org> 2.0-7plf
- add missing headers

* Mon Sep 20 2004 Götz Waschk <goetz@zarb.org> 2.0-6plf
- fix URL

* Thu Jul 22 2004 Götz Waschk <goetz@plf.zarb.org> 2.0-5plf
- update descriptions
- add menu entry for the xmms plugin

* Tue Jun  8 2004 Götz Waschk <goetz@plf.zarb.org> 2.0-4plf
- fix patch 1

* Mon Jun  7 2004 Götz Waschk <goetz@plf.zarb.org> 2.0-3plf
- fix devel provides
- patch for new g++

* Thu Apr  8 2004 Götz Waschk <goetz@plf.zarb.org> 2.0-2plf
- fix devel deps

* Mon Feb  9 2004 Götz Waschk <goetz@plf.zarb.org> 2.0-1plf
- remove the aac plugin
- patch broken makefile
- new version

* Mon Jan  5 2004 Götz Waschk <goetz@plf.zarb.org> 2.0-0.rc3.2plf
- fix build on 9.1
- use the mdkversion macro

* Thu Nov 13 2003 Götz Waschk <goetz@plf.zarb.org> 2.0-0.rc3.1plf
- drop prefix
- update file list
- fix build
- fix buildrequires
- drop patches
- mklibname macro
- new version

* Fri Jul 11 2003 Götz Waschk <goetz@plf.zarb.org> 1.1-6plf
- rebuild for new rpm

* Sun Apr 13 2003 Götz Waschk <goetz@plf.zarb.org> 1.1-5plf
- fix buildrequires
- new id3lib

* Wed Jan 15 2003 Götz Waschk <goetz@plf.zarb.org> 1.1-4plf
- split out static-devel package

* Mon Nov 25 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 1.1-3plf
- rebuild with new id3lib

* Mon Nov  4 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 1.1-2plf
- fix id3lib buildrequires
- update patch1 (Jose Antonio Becerra Permuy <ronin@mail2.udc.es>)

* Thu Aug 22 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 1.1-1plf
- patch for xmms plugin makefile
- package xmms plugin
- merge with mp4v2 package
- tiny patch for final libsndfile api
- drop all old patches
- new libsndfile 1
- autoconf 2.5
- epoch 1
- new version

* Fri Aug 16 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 20020126-3plf
- gcc 3.2-0.3mdk rebuild

* Mon Jul 29 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 20020126-2plf
- gcc 3.2 build
- quick fix to work around libtool problem

* Wed Jul 24 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 20020126-1plf
- initial package
